Fabric (CMDB Model API)
Keywords: com.collation.platform.model.topology.storage.Fabric interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.storage
Interface Fabric

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Fabric

extends LogicalElement

A Fibre Channel SAN Fabric

Naming Rules:
  0="name" 1="worldWideName" 2="managedSystemName"
Persistable:
  true
Table Name:
  FABRIC
Display Name:
  name,worldWideName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`FCSwitch[]` | `getFcswitch()`
`Fabric` | `getHostingFabric()` The fabric that is the hosting parent in case this fabric is a virtual fabric
`java.lang.String` | `getName()` A unique name for the fabric
`boolean` | `getVirtual()` Flag defining this fabric as a virtual fabric.
`java.lang.String` | `getWorldWideName()` The World Wide Name (WWN) for the fabric.
`Zone[]` | `getZones()`
`ZoneSet[]` | `getZoneSets()`
`boolean` | `hasFcswitch()`
`boolean` | `hasHostingFabric()`
`boolean` | `hasName()`
`boolean` | `hasVirtual()`
`boolean` | `hasWorldWideName()`
`boolean` | `hasZones()`
`boolean` | `hasZoneSets()`
`void` | `setFcswitch(FCSwitch[] x)`
`void` | `setHostingFabric(Fabric fabric)`
`void` | `setName(java.lang.String name)`
`void` | `setVirtual(boolean virtual)`
`void` | `setWorldWideName(java.lang.String wwn)`
`void` | `setZones(Zone[] zones)`
`void` | `setZoneSets(ZoneSet[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  A unique name for the fabric

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getWorldWideName

    java.lang.String getWorldWideName()
                                      throws AttributeNotSetException

  The World Wide Name (WWN) for the fabric. Totoal Storage Productivity Center (TPC) computes this as the WWN of the lowest numbered switch in the fabric.

  Throws:
    `AttributeNotSetException`

### setWorldWideName

    void setWorldWideName(java.lang.String wwn)

### hasWorldWideName

    boolean hasWorldWideName()

### getZones

    Zone[] getZones()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setZones

    void setZones(Zone[] zones)

### hasZones

    boolean hasZones()

### getZoneSets

    ZoneSet[] getZoneSets()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setZoneSets

    void setZoneSets(ZoneSet[] x)

### hasZoneSets

    boolean hasZoneSets()

### getFcswitch

    FCSwitch[] getFcswitch()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setFcswitch

    void setFcswitch(FCSwitch[] x)

### hasFcswitch

    boolean hasFcswitch()

### getVirtual

    boolean getVirtual()
                       throws AttributeNotSetException

  Flag defining this fabric as a virtual fabric. For example Cisco switches allow you to virtualize a fabric.

  Throws:
    `AttributeNotSetException`

### setVirtual

    void setVirtual(boolean virtual)

### hasVirtual

    boolean hasVirtual()

### getHostingFabric

    Fabric getHostingFabric()
                            throws AttributeNotSetException

  The fabric that is the hosting parent in case this fabric is a virtual fabric

  Throws:
    `AttributeNotSetException`

### setHostingFabric

    void setHostingFabric(Fabric fabric)

### hasHostingFabric

    boolean hasHostingFabric()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD